"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = __importDefault(require("yargs"));
const helpers_1 = require("yargs/helpers");
const Parser = __importStar(require("./main"));
const TS = __importStar(require("./langs/typescript"));
const LANGS = {
    typescript: TS.generate,
};
const argv = yargs_1.default(helpers_1.hideBin(process.argv))
    .option("lang", {
    alias: "l",
    type: "string",
    demandOption: true,
})
    .positional("api-docs-path", {
    type: "string",
    demandOption: true,
}).argv;
Promise.resolve(argv)
    .then((argv) => {
    const generate = LANGS[argv.lang];
    if (!generate) {
        throw new Error(`${argv.lang} is not a valid language. Options include: ${Object.keys(LANGS)}`);
    }
    return generate(Parser.parse(argv._[0]));
})
    .then(console.log);
